<?php


/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/www/admin/lib-zones.inc.php';
require_once MAX_PATH . '/lib/max/other/html.php';
require_once MAX_PATH . '/lib/max/Admin/Invocation.php';
if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql'){
  require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli'){
  require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];


/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

// Initialise some parameters

$select=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}dj_admin_configuration"));

$url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') ? 'https://' : 'http://';


if($_GET['app'] == 1)
{
  if(!empty($select['SDK_Androidpath']))
  {   

    header("Location:".$select['SDK_Androidpath']);
  }
}
else if($_GET['app'] == 2)
{

  if(!empty($select['SDK_IOSpath']))
  {   

    header("Location:".$select['SDK_IOSpath']);
  }
}
      
