<?php
/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/


/**
 * @package    OpenXPlugin
 * @subpackage DeliveryLimitations
 */

require_once MAX_PATH . '/lib/max/Delivery/limitations.delivery.php';
// require_once MAX_PATH .'/www/delivery/handset.php';

/**
 * Check to see if this impression contains the valid domain.
 *
 * @param string $limitation The domain limitation.
 * @param string $op The string operator.
 * @param array $aParams An array of additional parameters to be checked.
 * @return boolean Whether this impression's domain passes this limitation's test.
 */

function MAX_checkClient_Mobileoswithversion($limitation, $op, $aParams = array())
{

	        $aParams['deviceos'] = $GLOBALS['_MAX']['device']['deviceos'];
			$aParams['deviceosversion'] = $GLOBALS['_MAX']['device']['deviceosversion'];
		

   
     $p_os=!empty($_REQUEST['os'])?strtolower($_REQUEST['os']) : strtolower($aParams['deviceos']) ; 
     $p_osv=!empty($_REQUEST['osv'])?strtolower($_REQUEST['osv']) : strtolower($aParams['deviceosversion']) ; 

    $lm = explode(',',$limitation);
    $lm0 = strtolower($lm[0]);
    $lm1  = $lm[1];


	
	if($op=="=~")
	{
		
		if(!empty($lm0))
		
            {
			
				  
	        if($lm0 != $p_os )
			{
			
				
					return false;
			}
			else
			{
					return true;
			}	
		}
		elseif(!empty($lm0))
            {
				
	        if($lm0 == $p_os)
			{
				
					return true;
			}
			else
			{
					return false;
			}	
		}
	}
	else if($op=="!~")
	{
		if(!empty($lm0))
            {
	        if($lm0 != $p_os )
			{
					return true;
			}
			else if($lm0 != $p_os )
          {
                  return true;
          }
			else
			{
					return false;
			}	
		}
		elseif(!empty($lm0))
            {
	        if($lm0 != $p_os)
			{
					return true;
			}
			else
			{
					return false;
			}	
		}


    
}


}




