<?php

/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

/**
 * @package    OpenXPlugin
 * @subpackage DeliveryLimitations
*/

require_once MAX_PATH . '/lib/max/Delivery/limitations.delivery.php';
// require_once 'handset.php';

/**
 * Check to see if this impression contains the valid domain.
 *
 * @param string $limitation The domain limitation.
 * @param string $op The string operator.
 * @param array $aParams An array of additional parameters to be checked.
 * @return boolean Whether this impression's domain passes this limitation's test.
*/
 

function MAX_checkClient_Timezone($limitation, $op, $aParams = array())
{
	$details = explode(",",$limitation);
	$time=$_REQUEST['timezone'];

if($op =='=~')
{
	
	for($i=0;$i<=count($details);)
	{
		if($details[$i]==$time)
		{
			return true;
		}
		
		$i++;
		
	}
	
}
elseif($op =='!~')
{
	
	for($i=0;$i<=count($details);)
	{
		if($details[$i]!=$time)
		{
			return true;
		}
		else
		{
			return false;
		}
		
		$i++;
	}
}
	
}











